GET
/api/database/views/{view_id}/Retrieve a database table view
Retrieves an existing database table view. Use include to add supported view attributes such as filters, sortings, or decorations to the response.
view_idintegerrequired
The unique integer identifier of the view to retrieve.
includestringoptional
Comma-separated view attributes to include: `filters`, `sortings`, or `decorations`.
200Returns the view object, whose properties depend on the view type. When requested through `include`, the response can also contain filters, sortings, or decorations.
allow_public_exportbooleanoptional
Indicates whether it's allowed to export a publicly shared view.
decorationsarray<object>optional
default_row_valuesarray<object>optional
filter_groupsarray<object>optional
filter_typeobjectoptional
Indicates whether all the rows should apply to all filters (AND) or to any filter (OR).
* `AND` - And
* `OR` - Or
filtersarray<object>optional
filters_disabledbooleanoptional
Allows users to see results unfiltered while still keeping the filters saved for the view.
frozen_column_countintegeroptional
Number of frozen columns including the primary field.
group_by_layoutobjectoptional
How grouped rows are presented: sections with a header above each group, or one column per group-by level beside the rows.
* `section` - Section
* `column` - Column
group_bysarray<object>optional
idintegerrequired
namestringrequired
orderintegerrequired
owned_by_idintegeroptional
ownership_typestringrequired
publicbooleanoptional
Indicates whether the view is publicly accessible to visitors.
public_view_has_passwordbooleanrequired
Indicates whether the public view is password protected or not.
:return: True if the public view is password protected, False otherwise.
row_height_sizestringoptional
* `small` - Small
* `medium` - Medium
* `large` - Large
row_identifier_typestringoptional
* `id` - Id
* `count` - Count
show_logobooleanoptional
slugstringrequired
The unique slug that can be used to construct a public URL.
sortingsarray<object>optional
tableobjectrequired
table_idintegerrequired
typestringrequired
400Returned when the authenticated user is not in the view's workspace.
detailstringoptional
Human readable details about what went wrong.
errorstringoptional
Machine readable error indicating what went wrong.
404Returned when the requested view does not exist.
detailstringoptional
Human readable details about what went wrong.
errorstringoptional
Machine readable error indicating what went wrong.
Error handling
A 400 is returned when the authenticated user is not in the view's workspace. A 404 is returned when the requested view_id does not identify an existing view.